For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • Mocking Eligibility Checks
          • POSTPost
          • POSTBatch
          • GETPoll Batch
          • GETPayer Search
          • GETRecommendation
          • POSTCreate Recommendation
          • PUTVote Recommendation
          • GETGet Multi
Contact Sales
LogoLogo
API ReferencePre EncounterEligibility ChecksV1

Create Recommendation

Beta
POST
/eligibility-checks/v1/recommendation
POST
/eligibility-checks/v1/recommendation
$curl -X POST https://pre-api.joincandidhealth.com/eligibility-checks/v1/recommendation \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "eligibility_check_id": "eligibility_check_id",
> "patient": {},
> "recommendation": {
> "type": "MEDICARE_ADVANTAGE",
> "payload": {}
> }
>}'
200Successful
1{
2 "deactivated": true,
3 "eligibility_check_id": "eligibility_check_id",
4 "id": "id",
5 "organization_id": "organization_id",
6 "patient": {
7 "id": "id",
8 "mrn": "mrn",
9 "organization_id": "organization_id",
10 "last_name": "last_name",
11 "first_name": "first_name",
12 "date_of_birth": "2023-01-15",
13 "member_id": "member_id"
14 },
15 "recommendation": {
16 "type": "MEDICARE_ADVANTAGE",
17 "payload": {
18 "ma_benefit": {
19 "key": "value"
20 },
21 "payer_id": "payer_id",
22 "payer_name": "payer_name",
23 "member_id": "member_id"
24 }
25 },
26 "updated_at": "2024-01-15T09:30:00Z",
27 "updating_user_id": "updating_user_id",
28 "version": 1,
29 "coverage_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
30 "votes": [
31 {
32 "user_id": "user_id",
33 "value": "UPVOTE"
34 },
35 {
36 "user_id": "user_id",
37 "value": "UPVOTE"
38 }
39 ]
40}
Create an eligibiilty recommendation based on the request.
Was this page helpful?
Previous

Vote Recommendation

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Request

This endpoint expects an object.
eligibility_check_idstringRequired
patientobjectRequired
An object representing patient information for an eligibility recommendation. This is used to find recommendations. Each field helps us find the right corresponding eligibility recommendation for the patient.
recommendationobjectRequired

Response

This endpoint returns an object.
deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
eligibility_check_idstring
idstring
The unique UUID identifier for an EligibilityRecommendation.
organization_idstring
The organization that owns this object.
patientobject
An object representing patient information for an eligibility recommendation. This is used to find recommendations. Each field helps us find the right corresponding eligibility recommendation for the patient.
recommendationobject
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
coverage_idUUID
The unique identifier for a Coverage in the database
voteslist of objects
Array of votes for this recommendation